
package jstl_ws_package;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import net.java.dev.jaxb.array.IntArray;


/**
 * <p>Classe Java pour probleme complex type.
 * 
 * <p>Le fragment de schéma suivant indique le contenu attendu figurant dans cette classe.
 * 
 * <pre>
 * &lt;complexType name="probleme">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="error" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="strError" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="itermax" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="nbjob" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="nbmac" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="biCriteria" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="liste_operation" type="{http://JSTL_WS_package/}operationArray" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="duree" type="{http://www.w3.org/2001/XMLSchema}int" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="machine" type="{http://jaxb.dev.java.net/array}intArray" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "probleme", propOrder = {
    "error",
    "strError",
    "itermax",
    "nbjob",
    "nbmac",
    "biCriteria",
    "listeOperation",
    "duree",
    "machine"
})
public class Probleme {

    protected int error;
    protected String strError;
    protected int itermax;
    protected int nbjob;
    protected int nbmac;
    protected long biCriteria;
    @XmlElement(name = "liste_operation", nillable = true)
    protected List<OperationArray> listeOperation;
    @XmlElement(nillable = true)
    protected List<Integer> duree;
    @XmlElement(nillable = true)
    protected List<IntArray> machine;

    /**
     * Obtient la valeur de la propriété error.
     * 
     */
    public int getError() {
        return error;
    }

    /**
     * Définit la valeur de la propriété error.
     * 
     */
    public void setError(int value) {
        this.error = value;
    }

    /**
     * Obtient la valeur de la propriété strError.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStrError() {
        return strError;
    }

    /**
     * Définit la valeur de la propriété strError.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStrError(String value) {
        this.strError = value;
    }

    /**
     * Obtient la valeur de la propriété itermax.
     * 
     */
    public int getItermax() {
        return itermax;
    }

    /**
     * Définit la valeur de la propriété itermax.
     * 
     */
    public void setItermax(int value) {
        this.itermax = value;
    }

    /**
     * Obtient la valeur de la propriété nbjob.
     * 
     */
    public int getNbjob() {
        return nbjob;
    }

    /**
     * Définit la valeur de la propriété nbjob.
     * 
     */
    public void setNbjob(int value) {
        this.nbjob = value;
    }

    /**
     * Obtient la valeur de la propriété nbmac.
     * 
     */
    public int getNbmac() {
        return nbmac;
    }

    /**
     * Définit la valeur de la propriété nbmac.
     * 
     */
    public void setNbmac(int value) {
        this.nbmac = value;
    }

    /**
     * Obtient la valeur de la propriété biCriteria.
     * 
     */
    public long getBiCriteria() {
        return biCriteria;
    }

    /**
     * Définit la valeur de la propriété biCriteria.
     * 
     */
    public void setBiCriteria(long value) {
        this.biCriteria = value;
    }

    /**
     * Gets the value of the listeOperation property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the listeOperation property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getListeOperation().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link OperationArray }
     * 
     * 
     */
    public List<OperationArray> getListeOperation() {
        if (listeOperation == null) {
            listeOperation = new ArrayList<OperationArray>();
        }
        return this.listeOperation;
    }

    /**
     * Gets the value of the duree property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the duree property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDuree().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Integer }
     * 
     * 
     */
    public List<Integer> getDuree() {
        if (duree == null) {
            duree = new ArrayList<Integer>();
        }
        return this.duree;
    }

    /**
     * Gets the value of the machine property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the machine property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getMachine().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link IntArray }
     * 
     * 
     */
    public List<IntArray> getMachine() {
        if (machine == null) {
            machine = new ArrayList<IntArray>();
        }
        return this.machine;
    }

}
