
package jstl_ws_package;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the jstl_ws_package package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _CountBrokenTL_QNAME = new QName("http://JSTL_WS_package/", "countBrokenTL");
    private final static QName _EvaluateSol_QNAME = new QName("http://JSTL_WS_package/", "evaluateSol");
    private final static QName _StopGRASP_QNAME = new QName("http://JSTL_WS_package/", "stop_GRASP");
    private final static QName _StartGRASPResponse_QNAME = new QName("http://JSTL_WS_package/", "startGRASPResponse");
    private final static QName _StartGRASP_QNAME = new QName("http://JSTL_WS_package/", "startGRASP");
    private final static QName _RechercheLocale_QNAME = new QName("http://JSTL_WS_package/", "RechercheLocale");
    private final static QName _GenerateCanBierwirthResponse_QNAME = new QName("http://JSTL_WS_package/", "generateCanBierwirthResponse");
    private final static QName _ReadGRASP_QNAME = new QName("http://JSTL_WS_package/", "readGRASP");
    private final static QName _GenerateRandBierwirth_QNAME = new QName("http://JSTL_WS_package/", "generateRandBierwirth");
    private final static QName _RechercheLocaleResponse_QNAME = new QName("http://JSTL_WS_package/", "RechercheLocaleResponse");
    private final static QName _GetGanttResponse_QNAME = new QName("http://JSTL_WS_package/", "getGanttResponse");
    private final static QName _ReadGRASPResponse_QNAME = new QName("http://JSTL_WS_package/", "readGRASPResponse");
    private final static QName _CreateProblemResponse_QNAME = new QName("http://JSTL_WS_package/", "createProblemResponse");
    private final static QName _EvaluateSolResponse_QNAME = new QName("http://JSTL_WS_package/", "evaluateSolResponse");
    private final static QName _RepairSolutionResponse_QNAME = new QName("http://JSTL_WS_package/", "repairSolutionResponse");
    private final static QName _RepairSolution_QNAME = new QName("http://JSTL_WS_package/", "repairSolution");
    private final static QName _GenerateRandBierwirthResponse_QNAME = new QName("http://JSTL_WS_package/", "generateRandBierwirthResponse");
    private final static QName _GenerateSolFromGivenVectorResponse_QNAME = new QName("http://JSTL_WS_package/", "generateSolFromGivenVectorResponse");
    private final static QName _CountBrokenTLResponse_QNAME = new QName("http://JSTL_WS_package/", "countBrokenTLResponse");
    private final static QName _GetGantt_QNAME = new QName("http://JSTL_WS_package/", "getGantt");
    private final static QName _GenerateSolFromGivenVector_QNAME = new QName("http://JSTL_WS_package/", "generateSolFromGivenVector");
    private final static QName _GenerateCanBierwirth_QNAME = new QName("http://JSTL_WS_package/", "generateCanBierwirth");
    private final static QName _StopGRASPResponse_QNAME = new QName("http://JSTL_WS_package/", "stop_GRASPResponse");
    private final static QName _CreateProblem_QNAME = new QName("http://JSTL_WS_package/", "createProblem");
    private final static QName _CreateProblemFile_QNAME = new QName("", "file");
    private final static QName _GetGanttResponseReturn_QNAME = new QName("", "return");
    private final static QName _StartGRASPFichier_QNAME = new QName("", "fichier");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: jstl_ws_package
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GenerateSolFromGivenVectorResponse }
     * 
     */
    public GenerateSolFromGivenVectorResponse createGenerateSolFromGivenVectorResponse() {
        return new GenerateSolFromGivenVectorResponse();
    }

    /**
     * Create an instance of {@link GetGantt }
     * 
     */
    public GetGantt createGetGantt() {
        return new GetGantt();
    }

    /**
     * Create an instance of {@link GenerateSolFromGivenVector }
     * 
     */
    public GenerateSolFromGivenVector createGenerateSolFromGivenVector() {
        return new GenerateSolFromGivenVector();
    }

    /**
     * Create an instance of {@link CountBrokenTLResponse }
     * 
     */
    public CountBrokenTLResponse createCountBrokenTLResponse() {
        return new CountBrokenTLResponse();
    }

    /**
     * Create an instance of {@link StopGRASPResponse }
     * 
     */
    public StopGRASPResponse createStopGRASPResponse() {
        return new StopGRASPResponse();
    }

    /**
     * Create an instance of {@link CreateProblem }
     * 
     */
    public CreateProblem createCreateProblem() {
        return new CreateProblem();
    }

    /**
     * Create an instance of {@link GenerateCanBierwirth }
     * 
     */
    public GenerateCanBierwirth createGenerateCanBierwirth() {
        return new GenerateCanBierwirth();
    }

    /**
     * Create an instance of {@link CreateProblemResponse }
     * 
     */
    public CreateProblemResponse createCreateProblemResponse() {
        return new CreateProblemResponse();
    }

    /**
     * Create an instance of {@link EvaluateSolResponse }
     * 
     */
    public EvaluateSolResponse createEvaluateSolResponse() {
        return new EvaluateSolResponse();
    }

    /**
     * Create an instance of {@link RepairSolution }
     * 
     */
    public RepairSolution createRepairSolution() {
        return new RepairSolution();
    }

    /**
     * Create an instance of {@link GenerateRandBierwirthResponse }
     * 
     */
    public GenerateRandBierwirthResponse createGenerateRandBierwirthResponse() {
        return new GenerateRandBierwirthResponse();
    }

    /**
     * Create an instance of {@link RepairSolutionResponse }
     * 
     */
    public RepairSolutionResponse createRepairSolutionResponse() {
        return new RepairSolutionResponse();
    }

    /**
     * Create an instance of {@link ReadGRASP }
     * 
     */
    public ReadGRASP createReadGRASP() {
        return new ReadGRASP();
    }

    /**
     * Create an instance of {@link GenerateCanBierwirthResponse }
     * 
     */
    public GenerateCanBierwirthResponse createGenerateCanBierwirthResponse() {
        return new GenerateCanBierwirthResponse();
    }

    /**
     * Create an instance of {@link RechercheLocale }
     * 
     */
    public RechercheLocale createRechercheLocale() {
        return new RechercheLocale();
    }

    /**
     * Create an instance of {@link RechercheLocaleResponse }
     * 
     */
    public RechercheLocaleResponse createRechercheLocaleResponse() {
        return new RechercheLocaleResponse();
    }

    /**
     * Create an instance of {@link GenerateRandBierwirth }
     * 
     */
    public GenerateRandBierwirth createGenerateRandBierwirth() {
        return new GenerateRandBierwirth();
    }

    /**
     * Create an instance of {@link ReadGRASPResponse }
     * 
     */
    public ReadGRASPResponse createReadGRASPResponse() {
        return new ReadGRASPResponse();
    }

    /**
     * Create an instance of {@link GetGanttResponse }
     * 
     */
    public GetGanttResponse createGetGanttResponse() {
        return new GetGanttResponse();
    }

    /**
     * Create an instance of {@link CountBrokenTL }
     * 
     */
    public CountBrokenTL createCountBrokenTL() {
        return new CountBrokenTL();
    }

    /**
     * Create an instance of {@link EvaluateSol }
     * 
     */
    public EvaluateSol createEvaluateSol() {
        return new EvaluateSol();
    }

    /**
     * Create an instance of {@link StopGRASP }
     * 
     */
    public StopGRASP createStopGRASP() {
        return new StopGRASP();
    }

    /**
     * Create an instance of {@link StartGRASP }
     * 
     */
    public StartGRASP createStartGRASP() {
        return new StartGRASP();
    }

    /**
     * Create an instance of {@link StartGRASPResponse }
     * 
     */
    public StartGRASPResponse createStartGRASPResponse() {
        return new StartGRASPResponse();
    }

    /**
     * Create an instance of {@link Solution }
     * 
     */
    public Solution createSolution() {
        return new Solution();
    }

    /**
     * Create an instance of {@link Operation }
     * 
     */
    public Operation createOperation() {
        return new Operation();
    }

    /**
     * Create an instance of {@link OperationArray }
     * 
     */
    public OperationArray createOperationArray() {
        return new OperationArray();
    }

    /**
     * Create an instance of {@link Probleme }
     * 
     */
    public Probleme createProbleme() {
        return new Probleme();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CountBrokenTL }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://JSTL_WS_package/", name = "countBrokenTL")
    public JAXBElement<CountBrokenTL> createCountBrokenTL(CountBrokenTL value) {
        return new JAXBElement<CountBrokenTL>(_CountBrokenTL_QNAME, CountBrokenTL.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EvaluateSol }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://JSTL_WS_package/", name = "evaluateSol")
    public JAXBElement<EvaluateSol> createEvaluateSol(EvaluateSol value) {
        return new JAXBElement<EvaluateSol>(_EvaluateSol_QNAME, EvaluateSol.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StopGRASP }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://JSTL_WS_package/", name = "stop_GRASP")
    public JAXBElement<StopGRASP> createStopGRASP(StopGRASP value) {
        return new JAXBElement<StopGRASP>(_StopGRASP_QNAME, StopGRASP.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StartGRASPResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://JSTL_WS_package/", name = "startGRASPResponse")
    public JAXBElement<StartGRASPResponse> createStartGRASPResponse(StartGRASPResponse value) {
        return new JAXBElement<StartGRASPResponse>(_StartGRASPResponse_QNAME, StartGRASPResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StartGRASP }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://JSTL_WS_package/", name = "startGRASP")
    public JAXBElement<StartGRASP> createStartGRASP(StartGRASP value) {
        return new JAXBElement<StartGRASP>(_StartGRASP_QNAME, StartGRASP.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RechercheLocale }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://JSTL_WS_package/", name = "RechercheLocale")
    public JAXBElement<RechercheLocale> createRechercheLocale(RechercheLocale value) {
        return new JAXBElement<RechercheLocale>(_RechercheLocale_QNAME, RechercheLocale.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GenerateCanBierwirthResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://JSTL_WS_package/", name = "generateCanBierwirthResponse")
    public JAXBElement<GenerateCanBierwirthResponse> createGenerateCanBierwirthResponse(GenerateCanBierwirthResponse value) {
        return new JAXBElement<GenerateCanBierwirthResponse>(_GenerateCanBierwirthResponse_QNAME, GenerateCanBierwirthResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReadGRASP }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://JSTL_WS_package/", name = "readGRASP")
    public JAXBElement<ReadGRASP> createReadGRASP(ReadGRASP value) {
        return new JAXBElement<ReadGRASP>(_ReadGRASP_QNAME, ReadGRASP.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GenerateRandBierwirth }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://JSTL_WS_package/", name = "generateRandBierwirth")
    public JAXBElement<GenerateRandBierwirth> createGenerateRandBierwirth(GenerateRandBierwirth value) {
        return new JAXBElement<GenerateRandBierwirth>(_GenerateRandBierwirth_QNAME, GenerateRandBierwirth.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RechercheLocaleResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://JSTL_WS_package/", name = "RechercheLocaleResponse")
    public JAXBElement<RechercheLocaleResponse> createRechercheLocaleResponse(RechercheLocaleResponse value) {
        return new JAXBElement<RechercheLocaleResponse>(_RechercheLocaleResponse_QNAME, RechercheLocaleResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetGanttResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://JSTL_WS_package/", name = "getGanttResponse")
    public JAXBElement<GetGanttResponse> createGetGanttResponse(GetGanttResponse value) {
        return new JAXBElement<GetGanttResponse>(_GetGanttResponse_QNAME, GetGanttResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReadGRASPResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://JSTL_WS_package/", name = "readGRASPResponse")
    public JAXBElement<ReadGRASPResponse> createReadGRASPResponse(ReadGRASPResponse value) {
        return new JAXBElement<ReadGRASPResponse>(_ReadGRASPResponse_QNAME, ReadGRASPResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CreateProblemResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://JSTL_WS_package/", name = "createProblemResponse")
    public JAXBElement<CreateProblemResponse> createCreateProblemResponse(CreateProblemResponse value) {
        return new JAXBElement<CreateProblemResponse>(_CreateProblemResponse_QNAME, CreateProblemResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EvaluateSolResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://JSTL_WS_package/", name = "evaluateSolResponse")
    public JAXBElement<EvaluateSolResponse> createEvaluateSolResponse(EvaluateSolResponse value) {
        return new JAXBElement<EvaluateSolResponse>(_EvaluateSolResponse_QNAME, EvaluateSolResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RepairSolutionResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://JSTL_WS_package/", name = "repairSolutionResponse")
    public JAXBElement<RepairSolutionResponse> createRepairSolutionResponse(RepairSolutionResponse value) {
        return new JAXBElement<RepairSolutionResponse>(_RepairSolutionResponse_QNAME, RepairSolutionResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RepairSolution }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://JSTL_WS_package/", name = "repairSolution")
    public JAXBElement<RepairSolution> createRepairSolution(RepairSolution value) {
        return new JAXBElement<RepairSolution>(_RepairSolution_QNAME, RepairSolution.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GenerateRandBierwirthResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://JSTL_WS_package/", name = "generateRandBierwirthResponse")
    public JAXBElement<GenerateRandBierwirthResponse> createGenerateRandBierwirthResponse(GenerateRandBierwirthResponse value) {
        return new JAXBElement<GenerateRandBierwirthResponse>(_GenerateRandBierwirthResponse_QNAME, GenerateRandBierwirthResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GenerateSolFromGivenVectorResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://JSTL_WS_package/", name = "generateSolFromGivenVectorResponse")
    public JAXBElement<GenerateSolFromGivenVectorResponse> createGenerateSolFromGivenVectorResponse(GenerateSolFromGivenVectorResponse value) {
        return new JAXBElement<GenerateSolFromGivenVectorResponse>(_GenerateSolFromGivenVectorResponse_QNAME, GenerateSolFromGivenVectorResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CountBrokenTLResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://JSTL_WS_package/", name = "countBrokenTLResponse")
    public JAXBElement<CountBrokenTLResponse> createCountBrokenTLResponse(CountBrokenTLResponse value) {
        return new JAXBElement<CountBrokenTLResponse>(_CountBrokenTLResponse_QNAME, CountBrokenTLResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetGantt }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://JSTL_WS_package/", name = "getGantt")
    public JAXBElement<GetGantt> createGetGantt(GetGantt value) {
        return new JAXBElement<GetGantt>(_GetGantt_QNAME, GetGantt.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GenerateSolFromGivenVector }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://JSTL_WS_package/", name = "generateSolFromGivenVector")
    public JAXBElement<GenerateSolFromGivenVector> createGenerateSolFromGivenVector(GenerateSolFromGivenVector value) {
        return new JAXBElement<GenerateSolFromGivenVector>(_GenerateSolFromGivenVector_QNAME, GenerateSolFromGivenVector.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GenerateCanBierwirth }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://JSTL_WS_package/", name = "generateCanBierwirth")
    public JAXBElement<GenerateCanBierwirth> createGenerateCanBierwirth(GenerateCanBierwirth value) {
        return new JAXBElement<GenerateCanBierwirth>(_GenerateCanBierwirth_QNAME, GenerateCanBierwirth.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StopGRASPResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://JSTL_WS_package/", name = "stop_GRASPResponse")
    public JAXBElement<StopGRASPResponse> createStopGRASPResponse(StopGRASPResponse value) {
        return new JAXBElement<StopGRASPResponse>(_StopGRASPResponse_QNAME, StopGRASPResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CreateProblem }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://JSTL_WS_package/", name = "createProblem")
    public JAXBElement<CreateProblem> createCreateProblem(CreateProblem value) {
        return new JAXBElement<CreateProblem>(_CreateProblem_QNAME, CreateProblem.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "file", scope = CreateProblem.class)
    public JAXBElement<byte[]> createCreateProblemFile(byte[] value) {
        return new JAXBElement<byte[]>(_CreateProblemFile_QNAME, byte[].class, CreateProblem.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "return", scope = GetGanttResponse.class)
    public JAXBElement<byte[]> createGetGanttResponseReturn(byte[] value) {
        return new JAXBElement<byte[]>(_GetGanttResponseReturn_QNAME, byte[].class, GetGanttResponse.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "fichier", scope = StartGRASP.class)
    public JAXBElement<byte[]> createStartGRASPFichier(byte[] value) {
        return new JAXBElement<byte[]>(_StartGRASPFichier_QNAME, byte[].class, StartGRASP.class, ((byte[]) value));
    }

}
